import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/util/translations_delegate_base.dart';
import 'package:doctor_app_flutter/widgets/shared/app_scaffold_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/buttons/app_buttons_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';

class RadiologyReportScreen extends StatelessWidget {
  final String reportData;
  final String url;

  RadiologyReportScreen({Key key, this.reportData, this.url});

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        appBarTitle: TranslationBase.of(context).radiologyReport,
        body: SingleChildScrollView(
          child: Column(
            children: [
              Container(
                padding: EdgeInsets.all(10),
                margin: EdgeInsets.all(10),
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.all(Radius.circular(10)),
                  color: Colors.white,
                  border: Border(
                    bottom: BorderSide(color: Colors.grey, width: 0.5),
                    top: BorderSide(color: Colors.grey, width: 0.5),
                    left: BorderSide(color: Colors.grey, width: 0.5),
                    right: BorderSide(color: Colors.grey, width: 0.5),
                  ),
                ),
                child: AppText(
                  reportData,
                  fontSize: 2.5 * SizeConfig.textMultiplier,
                ),
              ),
              SizedBox(height:MediaQuery.of(context).size.height * 0.13 ,)
            ],
          ),
        ),
        bottomSheet: url == null
            ? Container(
                height: MediaQuery.of(context).size.height * 0,
              )
            : Container(
                width: double.infinity,
                height: MediaQuery.of(context).size.height * 0.1,
                child: Column(
                  mainAxisSize: MainAxisSize.min,
                  children: <Widget>[
                    FractionallySizedBox(
                      widthFactor: 0.9,
                      child: Container(
                        child: Wrap(
                          alignment: WrapAlignment.center,
                          children: <Widget>[
                            // TODO change it secondary button and add loading
                            AppButton(
                              title: TranslationBase.of(context).openRad,
                              onPressed: () async {
                                launch(url);
                              },
                            ),
                          ],
                        ),
                      ),
                    ),
                  ],
                ),
              ));
  }
}
